typedef union {
  Constituent *theConstituent;
  Input *theInput;
  Expression *theExpression;
  ExpressionSequence *theExpressionSequence;
  Lvalue *theLvalue;
  Symbol *theSymbol;
  FormalArgumentList *theFormalArgumentList;
  InitClause *theInitClause;
  GlobalDeclaration *theGlobalDeclaration;
  GlobalFunctionDecl *theGlobalFunctionDecl;
  GlobalWithInitialization *theGlobalWithInitialization;
  SimpleExpression *theSimpleExpression;
  CompoundExpression *theCompoundExpression;
  Literal *theLiteral;
  SimpleLiteral *theSimpleLiteral;
  Object *theObject;
  SimpleObject *theSimpleObject;
  PathExpression *thePathExpression;
  PathObject *thePathObject;
  Array *theArray;
  ArrayObject *theArrayObject;
  FrameSlot *theFrameSlot;
  Frame *theFrame;
  FrameObject *theFrameObject;
  Constructor *theConstructor;
  ArrayConstructor *theArrayConstructor;
  FrameConstructorSlot *theFrameConstructorSlot;
  FrameConstructor *theFrameConstructor;
  FunctionConstructor *theFunctionConstructor;
  FrameAccessor *theFrameAccessor;
  ArrayAccessor *theArrayAccessor;
  Assignment *theAssignment;
  ExistsExpr *theExistsExpr;
  SymbolExists *theSymbolExists;
  FrameAccExists *theFrameAccExists;
  ExprExists *theExprExists;
  ActualArgumentList *theActualArgumentList;
  FunctionCall *theFunctionCall;
  MessageSend *theMessageSend;
  IfExpression *theIfExpression;
  Iteration *theIteration;
  InfiniteLoop *theInfiniteLoop;
  ForLoop *theForLoop;
  ForEachLoop *theForEachLoop;
  WhileLoop *theWhileLoop;
  RepeatLoop *theRepeatLoop;
  BreakExpr *theBreakExpr;
  OnExceptionClause *theOnExceptionClause;
  TryExpr *theTryExpr;
  LocalDecl *theLocalDecl;
  ConstantInitClause *theConstantInitClause;
  ConstantDecl *theConstantDecl;
  ReturnExpr *theReturnExpr;
  NString *theString;
  NInteger *theInteger;
  NReal *theReal;
  MPointer *theMPointer;
  NCharacter *theCharacter;
  NTrue *theTrue;
  NNil *theNil;
  int int_flag;
} YYSTYPE;
#define	String_Tok	258
#define	Symbol_Tok	259
#define	Integer	260
#define	Real	261
#define	Character	262
#define	Mpointer	263
#define	AND_TOK	264
#define	BEGIN_TOK	265
#define	BREAK	266
#define	BY	267
#define	CALL	268
#define	COLLECT	269
#define	CONSTANT	270
#define	DEEPLY	271
#define	DIV	272
#define	DO	273
#define	ELSE	274
#define	SEMI_ELSE	275
#define	END	276
#define	SEMI_END	277
#define	EXISTS	278
#define	FOR	279
#define	FOREACH	280
#define	FUNC	281
#define	GLOBAL	282
#define	IF	283
#define	IN	284
#define	INHERITED	285
#define	LOCAL	286
#define	LOOP	287
#define	MOD	288
#define	MINUS	289
#define	NIL	290
#define	NOT	291
#define	ONEXCEPTION	292
#define	SEMI_ONEXCEPTION	293
#define	OR	294
#define	REPEAT	295
#define	RETURN	296
#define	SELF	297
#define	THEN	298
#define	TO	299
#define	TRUE	300
#define	TRY	301
#define	UNTIL	302
#define	SEMI_UNTIL	303
#define	WHILE_TOK	304
#define	WITH	305
#define	COMMA_BRACK	306
#define	COMMA_BRACE	307
#define	SEM_COMMA	308
#define	AA	309
#define	LS	310
#define	RS	311
#define	NE	312
#define	LE	313
#define	GE	314
#define	ASNMT	315
#define	CQ	316


extern YYSTYPE yylval;
